Authorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays.
{
"attribute-key": "attribute-value"
}Search access keys, using a valid management key.
This API endpoint allows administrators to search for details of existing access keys for a given array of tenants.
The response contains an array of details for the access keys returned by the search including associated roles and tenants as well as details of the key's creation, status, and expiration.
Next Steps
Once you have this data, you can utilize the response to Update an access key, Activate an access key, Deactivate an access key, or Delete an access key.
See also
- See Access Key Management for further details on managing access keys.
curl -X POST "https://api.descope.com/v1/mgmt/accesskey/search" \ -H "Content-Type: application/json" \ -d '{}'{ "keys": [ { "id": "string", "name": "string", "roleNames": [ "string" ], "keyTenants": [ { "tenantId": "string", "roleNames": [ "string" ], "tenantName": "string" } ], "status": "string", "createdTime": 0, "expireTime": 0, "createdBy": "string", "clientId": "string", "boundUserId": "string", "customClaims": { "claim-name": "claim-value" }, "editable": true, "description": "string", "permittedIps": [ "string" ], "customAttributes": { "attribute-key": "attribute-value" } } ]}export interface Response {keys?: {id?: stringname?: stringroleNames?: string[]keyTenants?: AssociatedTenantAK[]status?: stringcreatedTime?: numberexpireTime?: numbercreatedBy?: stringclientId?: stringboundUserId?: string/** * Custom claims to include in the JWT as key-value pairs. Keys must be strings; values can be strings, numbers, or booleans. */customClaims?: {[k: string]: string}editable?: booleandescription?: stringpermittedIps?: string[]/** * Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays. */customAttributes?: {[k: string]: string}}[]}export interface AssociatedTenantAK {tenantId?: stringroleNames?: string[]tenantName?: string}Load An Access Key GET
### Load an access key, using a valid management key. This API endpoint allows administrators to load the details of an existing access key. The response contains details of the access key including associated roles and tenants as well as details of the key's creation, status, and expiration. ### Next Steps Once you have this data, you can utilize the response to [Update an access key](/api/management/access-keys/update-access-key), [Activate an access key](/api/management/access-keys/activate-access-key), [Deactivate an access key](/api/management/access-keys/deactivate-access-key), or [Delete an access key](/api/management/access-keys/delete-access-key). ### See also - See [Access Key Management](/access-keys) for further details on managing access keys.
Create Access Key POST
### Create an access key, using a valid management key. This API endpoint allows administrators to create an access key. During the creation of the access key, you can set the name, expiration time, roles and tenant:role pairs to associated with the key. ### Next Steps Once you have the access key, you can utilize it to configure external items such as [SCIM](/api/scimmanagement/), or use it to [exchange for a JWT](/api/access-keys/exchange-key). ### See also - See [Access Key Management](/access-keys) for further details on managing access keys.